<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<div class="container">
	<p
			class="alert alert-success my-5 d-flex align-items-start gap-3"
			id="message-vote-casted"
			role="alert"
	>
		<vp-icon name="check-lg"></vp-icon>
		{{ ((voteCastedInPreviousSession$ | async) ? 'confirm.main.votecasted' : 'confirm.main.thx') | translate }}
	</p>

	<h1 class="mt-5">{{ 'confirm.main.votecast' | translate }}</h1>

	<p class="lead mt-2">
		{{ 'confirm.main.matchcodes' | translate }}
	</p>

	<div class="card my-5">
		<div class="card-header">
			<h2 class="card-title gap-3 h4">
				<vp-icon class="voting-card-symbol" name="voting-card-star"></vp-icon>
				<span>{{ 'confirm.main.finalizationcode' | translate }}</span>
			</h2>
			<button
					(click)="showFAQ(FAQSection.WhatIsVoteCastReturnCode)"
					class="btn btn-link"
					id="show-faq-vcrt-link"
					type="button"
			>
				<vp-icon name="question-circle"></vp-icon>
				<span>{{ 'confirm.main.finalizationcode.help' | translate }}</span>
			</button>
		</div>

		<div class="card-body">
			<p
					*ngIf="voteCastReturnCode$ | async as voteCastReturnCode"
					class="word-break h4 m-0"
					id="cvrt"
			>
				{{ voteCastReturnCode }}
			</p>
		</div>
	</div>

	<p>
		<span>{{ 'confirm.main.dogeneratedcodesmatch' | translate }}</span>

		<br/>

		<button
				(click)="showFAQ(FAQSection.WhatIfCodesDoNotMatch)"
				class="btn btn-link align-with-text"
				id="show-faq-codes-do-not-match-link"
				type="button"
		>
			<vp-icon name="question-circle"></vp-icon>
			<span>{{ 'confirm.main.help.codesdonotmatch' | translate }}</span>
		</button>
	</p>

	<p [innerHTML]="'confirm.main.process.completed' | translate"></p>

	<p [innerHTML]="'confirm.main.securityinfo' | translate"></p>

	<div class="footer-nav my-5 d-flex flex-column flex-sm-row-reverse gap-4">
		<button
				(click)="quit()"
				class="btn btn-dark btn-lg"
				id="quit-button"
				type="submit"
		>
			{{ 'confirm.main.quit' | translate }}
		</button>
	</div>
</div>
